Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/modules
diff options
context:
space:
mode:
authorDaniel Drake <dsd@laptop.org>2010-06-29 22:03:32 (GMT)
committer Daniel Drake <dsd@laptop.org>2010-06-29 22:03:32 (GMT)
commit287bf28761b6eced38aa09365f73e7e1fe1a0e58 (patch)
tree67499870e0676e6f8dd7c8e630ef75fa630915e0 /modules
parent03595e55b2ee68cd7ea45a2b208b5617dd0e3a9b (diff)
buildnr_from_file: fix compatibility with newer bash
The return value semantics of the arithmetic operator seems to have changed, returning a code which is being interpreted as an error.
Diffstat (limited to 'modules')
-rw-r--r--modules/buildnr_from_file/prepare.10.buildnr.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/modules/buildnr_from_file/prepare.10.buildnr.sh b/modules/buildnr_from_file/prepare.10.buildnr.sh
index 1e00e94..e523005 100644
--- a/modules/buildnr_from_file/prepare.10.buildnr.sh
+++ b/modules/buildnr_from_file/prepare.10.buildnr.sh
@@ -7,7 +7,9 @@ nr=0
path=$(read_config buildnr_from_file path)
[ -n "$path" -a -e "$path" ] && nr=$(<$path)
-(( nr++ ))
+# increment and ignore return value. new versions of bash return the new
+# value of the variable which is usually non-zero.
+(( nr++ )) || :
echo $nr > $intermediatesdir/buildnr